#!/bin/bash

# 1st parameter : size of a unit square in Mercenaries
# 2nd parameter : logical square size for cropping 
# 3rd parameter : raw_image name
# 4th parameter : x_crop coordinates xSquareSize
# 5th parameter : y_crop coordinates xsquareSize
# 6th parameter : w_crop value xSquareSize
# 7th parameter : h_crop value xSquareSize
# 8th parameter : output image
# 9th parameter : relative path to log file

function CropImage2()
{
	let "XC = $2 * $4"
	let "YC = $2 * $5"
	let "WC = $2 * $6"
	let "HC = $2 * $7"
	convert ${3} -crop ${WC}'x'${HC}'+'${XC}'+'${YC} ${8}  >> ${9}/errors_${1}.txt 2>&1
}
